# Configuration

    public struct Configuration

Compact Block Processor configuration

Property: cacheDbPath absolute file path of the DB where raw, unprocessed compact blocks are stored. Property: dataDbPath absolute file path of the DB where all information derived from the cache DB is stored.

- `cacheDb`

  Undocumented

  #### Declaration

  Swift

      public var cacheDb: URL

- `dataDb`

  Undocumented

  #### Declaration

  Swift

      public var dataDb: URL

- `downloadBatchSize`

  Undocumented

  #### Declaration

  Swift

      public var downloadBatchSize: Int

- `retries`

  Undocumented

  #### Declaration

  Swift

      public var retries: Int

- `maxBackoffInterval`

  Undocumented

  #### Declaration

  Swift

      public var maxBackoffInterval: TimeInterval

- `rewindDistance`

  Undocumented

  #### Declaration

  Swift

      public var rewindDistance: Int

- `walletBirthday`

  Undocumented

  #### Declaration

  Swift

      public var walletBirthday: BlockHeight

- `blockPollInterval`

  Undocumented

  #### Declaration

  Swift

      public var blockPollInterval: TimeInterval { get }

- `init(cacheDb:dataDb:walletBirthday:network:)`

  Undocumented

  #### Declaration

  Swift

      public init(cacheDb: URL, dataDb: URL, walletBirthday: BlockHeight, network: ZcashNetwork)

- `standard(for:walletBirthday:)`

  Standard configuration for most compact block processors

  #### Declaration

  Swift

      static func standard(for network: ZcashNetwork, walletBirthday: BlockHeight) -> CompactBlockProcessor.Configuration

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.